<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_color"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:layout_below="@+id/view">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="54dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/back_btn"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="10dp"
                android:padding="4dp"
                android:src="@drawable/svg_back" />

            <TextView
                android:id="@+id/title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_horizontal"
                android:text="@string/app_name"
                android:fontFamily="@font/medium_font"
                android:textColor="@color/white"
                android:textSize="20sp" />

        </LinearLayout>


        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:layout_marginTop="28dp"
            android:layout_marginEnd="28dp"
            app:cardCornerRadius="12dp">

            <LinearLayout
                android:padding="16dp"
                android:layout_width="match_parent"
                android:background="@color/card_color"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:layout_width="120dp"
                    android:layout_height="120dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="20dp"
                    android:backgroundTint="@color/blue"
                    app:cardCornerRadius="80dp">

                    <ImageView
                        android:id="@+id/image"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:scaleType="centerCrop"
                        android:src="@mipmap/default_list_img" />
                </androidx.cardview.widget.CardView>

                <TextView
                    android:id="@+id/name_tv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:fontFamily="@font/medium_font"
                    android:gravity="center"
                    android:text="@string/app_name"
                    android:textColor="@color/blue"
                    android:textSize="16dp" />

                <TextView
                    android:id="@+id/desc_tv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:fontFamily="@font/medium_font"
                    android:gravity="center"
                    android:text="@string/app_name"
                    android:textColor="@color/blue"
                    android:textSize="12dp" />

            </LinearLayout>

        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="28dp"
            app:cardCornerRadius="12dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="16dp"
                android:background="@color/card_color"
                android:paddingEnd="16dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:padding="16dp">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="16dp"
                    android:layout_weight="1"
                    android:orientation="vertical">


                    <com.google.android.material.slider.Slider
                        android:id="@+id/seekBar"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:value="50"
                        android:valueTo="100"
                        app:labelBehavior="gone"
                        app:thumbColor="@color/blue"
                        app:trackColorActive="@color/blue"
                        app:trackColorInactive="@color/blue_bg_color"
                        app:trackHeight="5dp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/progress_duration_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:fontFamily="@font/medium_font"
                            android:text="0:00"
                            android:textColor="@color/blue"
                            android:textSize="14dp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="2dp"
                            android:layout_marginEnd="2dp"
                            android:fontFamily="@font/medium_font"
                            android:text="/"
                            android:textColor="@color/blue"
                            android:textSize="14dp" />

                        <TextView
                            android:id="@+id/total_duration_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/medium_font"
                            android:text="00:00"
                            android:textColor="@color/blue"
                            android:textSize="14dp" />

                    </LinearLayout>
                </LinearLayout>

                <ImageView
                    android:id="@+id/play_img"
                    android:layout_width="42dp"
                    android:layout_height="42dp"
                    android:src="@drawable/details_play_icon" />

            </LinearLayout>


        </androidx.cardview.widget.CardView>
    </LinearLayout>


</RelativeLayout>